io.etcd.jetcd.api

## Class Member.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Member.Builder>
      - - io.etcd.jetcd.api.Member.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, MemberOrBuilder, Cloneable

Enclosing class:
  Member

    public static final class Member.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Member.Builder>
    implements MemberOrBuilder

Protobuf type `etcdserverpb.Member`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Member.Builder` `addAllClientURLs(Iterable<String> values)` clientURLs is the list of URLs the member exposes to clients for communication.
`Member.Builder` `addAllPeerURLs(Iterable<String> values)` peerURLs is the list of URLs the member exposes to the cluster for communication.
`Member.Builder` `addClientURLs(String value)` clientURLs is the list of URLs the member exposes to clients for communication.
`Member.Builder` `addClientURLsBytes(com.google.protobuf.ByteString value)` clientURLs is the list of URLs the member exposes to clients for communication.
`Member.Builder` `addPeerURLs(String value)` peerURLs is the list of URLs the member exposes to the cluster for communication.
`Member.Builder` `addPeerURLsBytes(com.google.protobuf.ByteString value)` peerURLs is the list of URLs the member exposes to the cluster for communication.
`Member.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Member` `build()`
`Member` `buildPartial()`
`Member.Builder` `clear()`
`Member.Builder` `clearClientURLs()` clientURLs is the list of URLs the member exposes to clients for communication.
`Member.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Member.Builder` `clearID()` ID is the member ID for this member.
`Member.Builder` `clearName()` name is the human-readable name of the member.
`Member.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Member.Builder` `clearPeerURLs()` peerURLs is the list of URLs the member exposes to the cluster for communication.
`Member.Builder` `clone()`
`String` `getClientURLs(int index)` clientURLs is the list of URLs the member exposes to clients for communication.
`com.google.protobuf.ByteString` `getClientURLsBytes(int index)` clientURLs is the list of URLs the member exposes to clients for communication.
`int` `getClientURLsCount()` clientURLs is the list of URLs the member exposes to clients for communication.
`com.google.protobuf.ProtocolStringList` `getClientURLsList()` clientURLs is the list of URLs the member exposes to clients for communication.
`Member` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`long` `getID()` ID is the member ID for this member.
`String` `getName()` name is the human-readable name of the member.
`com.google.protobuf.ByteString` `getNameBytes()` name is the human-readable name of the member.
`String` `getPeerURLs(int index)` peerURLs is the list of URLs the member exposes to the cluster for communication.
`com.google.protobuf.ByteString` `getPeerURLsBytes(int index)` peerURLs is the list of URLs the member exposes to the cluster for communication.
`int` `getPeerURLsCount()` peerURLs is the list of URLs the member exposes to the cluster for communication.
`com.google.protobuf.ProtocolStringList` `getPeerURLsList()` peerURLs is the list of URLs the member exposes to the cluster for communication.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`Member.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Member.Builder` `mergeFrom(Member other)`
`Member.Builder` `mergeFrom(com.google.protobuf.Message other)`
`Member.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Member.Builder` `setClientURLs(int index, String value)` clientURLs is the list of URLs the member exposes to clients for communication.
`Member.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Member.Builder` `setID(long value)` ID is the member ID for this member.
`Member.Builder` `setName(String value)` name is the human-readable name of the member.
`Member.Builder` `setNameBytes(com.google.protobuf.ByteString value)` name is the human-readable name of the member.
`Member.Builder` `setPeerURLs(int index, String value)` peerURLs is the list of URLs the member exposes to the cluster for communication.
`Member.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Member.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Member.Builder>`

#### clear

    public Member.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Member.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Member.Builder>`

#### getDefaultInstanceForType

    public Member getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Member build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Member buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Member.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Member.Builder>`

#### setField

    public Member.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                   Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Member.Builder>`

#### clearField

    public Member.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Member.Builder>`

#### clearOneof

    public Member.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Member.Builder>`

#### setRepeatedField

    public Member.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                           int index,
                                           Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Member.Builder>`

#### addRepeatedField

    public Member.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                           Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Member.Builder>`

#### mergeFrom

    public Member.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Member.Builder>`

#### mergeFrom

    public Member.Builder mergeFrom(Member other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Member.Builder>`

#### mergeFrom

    public Member.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                             throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Member.Builder>`
Throws:
  `IOException`

#### getID

    public long getID()

     ID is the member ID for this member.

`uint64 ID = 1;`

Specified by:
  `getID` in interface `MemberOrBuilder`
Returns:
  The iD.

#### setID

    public Member.Builder setID(long value)

     ID is the member ID for this member.

`uint64 ID = 1;`

Parameters:
  `value` - The iD to set.
Returns:
  This builder for chaining.

#### clearID

    public Member.Builder clearID()

     ID is the member ID for this member.

`uint64 ID = 1;`

Returns:
  This builder for chaining.

#### getName

    public String getName()

     name is the human-readable name of the member. If the member is not started, the name will be an empty string.

`string name = 2;`

Specified by:
  `getName` in interface `MemberOrBuilder`
Returns:
  The name.

#### getNameBytes

    public com.google.protobuf.ByteString getNameBytes()

     name is the human-readable name of the member. If the member is not started, the name will be an empty string.

`string name = 2;`

Specified by:
  `getNameBytes` in interface `MemberOrBuilder`
Returns:
  The bytes for name.

#### setName

    public Member.Builder setName(String value)

     name is the human-readable name of the member. If the member is not started, the name will be an empty string.

`string name = 2;`

Parameters:
  `value` - The name to set.
Returns:
  This builder for chaining.

#### clearName

    public Member.Builder clearName()

     name is the human-readable name of the member. If the member is not started, the name will be an empty string.

`string name = 2;`

Returns:
  This builder for chaining.

#### setNameBytes

    public Member.Builder setNameBytes(com.google.protobuf.ByteString value)

     name is the human-readable name of the member. If the member is not started, the name will be an empty string.

`string name = 2;`

Parameters:
  `value` - The bytes for name to set.
Returns:
  This builder for chaining.

#### getPeerURLsList

    public com.google.protobuf.ProtocolStringList getPeerURLsList()

     peerURLs is the list of URLs the member exposes to the cluster for communication.

`repeated string peerURLs = 3;`

Specified by:
  `getPeerURLsList` in interface `MemberOrBuilder`
Returns:
  A list containing the peerURLs.

#### getPeerURLsCount

    public int getPeerURLsCount()

     peerURLs is the list of URLs the member exposes to the cluster for communication.

`repeated string peerURLs = 3;`

Specified by:
  `getPeerURLsCount` in interface `MemberOrBuilder`
Returns:
  The count of peerURLs.

#### getPeerURLs

    public String getPeerURLs(int index)

     peerURLs is the list of URLs the member exposes to the cluster for communication.

`repeated string peerURLs = 3;`

Specified by:
  `getPeerURLs` in interface `MemberOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The peerURLs at the given index.

#### getPeerURLsBytes

    public com.google.protobuf.ByteString getPeerURLsBytes(int index)

     peerURLs is the list of URLs the member exposes to the cluster for communication.

`repeated string peerURLs = 3;`

Specified by:
  `getPeerURLsBytes` in interface `MemberOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the peerURLs at the given index.

#### setPeerURLs

    public Member.Builder setPeerURLs(int index,
                                      String value)

     peerURLs is the list of URLs the member exposes to the cluster for communication.

`repeated string peerURLs = 3;`

Parameters:
  `index` - The index to set the value at.
  `value` - The peerURLs to set.
Returns:
  This builder for chaining.

#### addPeerURLs

    public Member.Builder addPeerURLs(String value)

     peerURLs is the list of URLs the member exposes to the cluster for communication.

`repeated string peerURLs = 3;`

Parameters:
  `value` - The peerURLs to add.
Returns:
  This builder for chaining.

#### addAllPeerURLs

    public Member.Builder addAllPeerURLs(Iterable<String> values)

     peerURLs is the list of URLs the member exposes to the cluster for communication.

`repeated string peerURLs = 3;`

Parameters:
  `values` - The peerURLs to add.
Returns:
  This builder for chaining.

#### clearPeerURLs

    public Member.Builder clearPeerURLs()

     peerURLs is the list of URLs the member exposes to the cluster for communication.

`repeated string peerURLs = 3;`

Returns:
  This builder for chaining.

#### addPeerURLsBytes

    public Member.Builder addPeerURLsBytes(com.google.protobuf.ByteString value)

     peerURLs is the list of URLs the member exposes to the cluster for communication.

`repeated string peerURLs = 3;`

Parameters:
  `value` - The bytes of the peerURLs to add.
Returns:
  This builder for chaining.

#### getClientURLsList

    public com.google.protobuf.ProtocolStringList getClientURLsList()

     clientURLs is the list of URLs the member exposes to clients for communication. If the member is not started, clientURLs will be empty.

`repeated string clientURLs = 4;`

Specified by:
  `getClientURLsList` in interface `MemberOrBuilder`
Returns:
  A list containing the clientURLs.

#### getClientURLsCount

    public int getClientURLsCount()

     clientURLs is the list of URLs the member exposes to clients for communication. If the member is not started, clientURLs will be empty.

`repeated string clientURLs = 4;`

Specified by:
  `getClientURLsCount` in interface `MemberOrBuilder`
Returns:
  The count of clientURLs.

#### getClientURLs

    public String getClientURLs(int index)

     clientURLs is the list of URLs the member exposes to clients for communication. If the member is not started, clientURLs will be empty.

`repeated string clientURLs = 4;`

Specified by:
  `getClientURLs` in interface `MemberOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The clientURLs at the given index.

#### getClientURLsBytes

    public com.google.protobuf.ByteString getClientURLsBytes(int index)

     clientURLs is the list of URLs the member exposes to clients for communication. If the member is not started, clientURLs will be empty.

`repeated string clientURLs = 4;`

Specified by:
  `getClientURLsBytes` in interface `MemberOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the clientURLs at the given index.

#### setClientURLs

    public Member.Builder setClientURLs(int index,
                                        String value)

     clientURLs is the list of URLs the member exposes to clients for communication. If the member is not started, clientURLs will be empty.

`repeated string clientURLs = 4;`

Parameters:
  `index` - The index to set the value at.
  `value` - The clientURLs to set.
Returns:
  This builder for chaining.

#### addClientURLs

    public Member.Builder addClientURLs(String value)

     clientURLs is the list of URLs the member exposes to clients for communication. If the member is not started, clientURLs will be empty.

`repeated string clientURLs = 4;`

Parameters:
  `value` - The clientURLs to add.
Returns:
  This builder for chaining.

#### addAllClientURLs

    public Member.Builder addAllClientURLs(Iterable<String> values)

     clientURLs is the list of URLs the member exposes to clients for communication. If the member is not started, clientURLs will be empty.

`repeated string clientURLs = 4;`

Parameters:
  `values` - The clientURLs to add.
Returns:
  This builder for chaining.

#### clearClientURLs

    public Member.Builder clearClientURLs()

     clientURLs is the list of URLs the member exposes to clients for communication. If the member is not started, clientURLs will be empty.

`repeated string clientURLs = 4;`

Returns:
  This builder for chaining.

#### addClientURLsBytes

    public Member.Builder addClientURLsBytes(com.google.protobuf.ByteString value)

     clientURLs is the list of URLs the member exposes to clients for communication. If the member is not started, clientURLs will be empty.

`repeated string clientURLs = 4;`

Parameters:
  `value` - The bytes of the clientURLs to add.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final Member.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Member.Builder>`

#### mergeUnknownFields

    public final Member.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Member.Builder>`